import 'react-native-gesture-handler';
import React from 'react';
import Deck from './screens/Deck';
import {NavigationContainer} from '@react-navigation/native';
import {createStackNavigator} from '@react-navigation/stack';
import Home from './screens/Home';

declare const global: {HermesInternal: null | {}};

export type RootStackParamList = {
  Home: undefined;
  Deck: {remoteAddress: string};
};

const Stack = createStackNavigator<RootStackParamList>();

export default function App() {
  return (
    <>
      <NavigationContainer>
        <Stack.Navigator>
          <Stack.Screen
            name="Home"
            component={Home}
            options={{
              title: 'OpenDeck',
            }}
          />
          <Stack.Screen
            name="Deck"
            component={Deck}
            options={{
              headerShown: false,
            }}
          />
        </Stack.Navigator>
      </NavigationContainer>
    </>
  );
}
