import React from 'react';
import {Layout} from '../types/ButtonLayout';
import DeckButton from './DeckButton';

interface Props {
  layout: Layout;
  onButtonPress: (index: number) => void;
}

export default function ButtonLayout(props: Props) {
  const buttons: JSX.Element[] = [];
  props.layout.buttons.forEach((e) => {
    buttons.push(
      <DeckButton
        text={e.title}
        key={e.pos}
        onPress={() => {
          props.onButtonPress(e.pos);
        }}
      />,
    );
  });
  return <>{buttons}</>;
}
