import React from 'react';
import {
  Dimensions,
  StyleSheet,
  Text,
  TouchableHighlight,
  View,
} from 'react-native';

interface Props {
  text: string;
  onPress: () => void;
}

export default function DeckButton(props: Props) {
  return (
    <>
      <View style={style.view}>
        <TouchableHighlight
          style={style.touchable}
          underlayColor={'#0e86d4'}
          onPress={props.onPress}>
          <Text style={style.text}>{props.text}</Text>
        </TouchableHighlight>
      </View>
    </>
  );
}

const style = StyleSheet.create({
  view: {
    backgroundColor: '#055c9d',
    flexBasis: (1 / 3) * 100 + '%',
    height: Dimensions.get('window').height / 7,
    borderColor: '#003060',
    borderWidth: 3,
  },
  touchable: {
    width: '100%',
    height: '100%',
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
  },
  text: {
    textAlign: 'center',
    color: 'white',
  },
});
